diff --git a/src/command/cmd_defs.c b/src/command/cmd_defs.c
index 32bbec46b..a29576bde 100644
--- a/src/command/cmd_defs.c
+++ b/src/command/cmd_defs.c
@@ -579,20 +579,6 @@ static struct cmd_t command_defs[] =
             "/join mychannel")
     },
 
-    { "/leave",
-        parse_args, 0, 0, NULL,
-        CMD_NOSUBFUNCS
-        CMD_MAINFUNC(cmd_leave)
-        CMD_TAGS(
-            CMD_TAG_GROUPCHAT)
-        CMD_SYN(
-            "/leave")
-        CMD_DESC(
-            "Leave the current chat or room.")
-        CMD_NOARGS
-        CMD_NOEXAMPLES
-    },
-
     { "/invite",
         parse_args_with_freetext, 1, 2, NULL,
         CMD_NOSUBFUNCS
diff --git a/src/command/cmd_funcs.c b/src/command/cmd_funcs.c
index 9b2622e70..b0f578d6b 100644
--- a/src/command/cmd_funcs.c
+++ b/src/command/cmd_funcs.c
@@ -5087,19 +5087,6 @@ cmd_clear(ProfWin *window, const char *const command, gchar **args)
     return TRUE;
 }
 
-gboolean
-cmd_leave(ProfWin *window, const char *const command, gchar **args)
-{
-    if (window->type != WIN_MUC && window->type != WIN_CHAT && window->type != WIN_PRIVATE) {
-        cons_show("The /leave command is only valid in chat, or chat room windows.");
-        cons_alert();
-        return TRUE;
-    }
-
-    // use /close behaviour
-    return cmd_close(window, "/leave", args);
-}
-
 gboolean
 cmd_privileges(ProfWin *window, const char *const command, gchar **args)
 {
